%define oname hachoir-parser

Name: python-module-%oname
Version: 1.3.4
Release: alt1

Summary: Package of Hachoir parsers used to open binary files
Group: Development/Python
License: GPLv2
Url: http://bitbucket.org/haypo/hachoir/wiki/hachoir-parser
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: %oname-%version.tar.gz

BuildArch: noarch
BuildPreReq: python-devel

Requires: python-module-hachoir-core

%description
hachoir-parser is a package of most common file format parsers written
for Hachoir framework. Not all parsers are complete, some are very good
and other are poor: only parser first level of the tree for example.

A perfect parser have no "raw" field: with a perfect parser you are able
to know each bit meaning. Some good (but not perfect ;-)) parsers:

* Matroska video
* Microsoft RIFF (AVI video, WAV audio, CDA file)
* PNG picture
* TAR and ZIP archive

%prep
%setup

%build
%python_build

%install
%python_install

%files
%doc AUTHORS COPYING ChangeLog PKG-INFO README* tests
%python_sitelibdir/*

%changelog
* Wed Aug 04 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.3.4-alt1
- Initial build for Sisyphys

